<ion-content>
  <div class="header">
    National Admin Dashboard
  </div>
  <div class="container">
    <div class="menu-col">
      <div class="menu-row admin-name">
        <div class="name-row">
          <div class="admin-icon">
            <ion-icon name="person-circle-outline"></ion-icon>
          </div>
          <div class="admin-text">
            <h2>admin-account</h2>
          </div>
        </div>
      </div>
      <div class="menu-row">
        <div id="pendingList" class="menu-label active" (click)="changeList('pending')">
          <div class="label-icon">
            <ion-icon name="bookmarks-outline"></ion-icon>
          </div>
          <div class="label-text">
            Pending List
          </div>
        </div>

        <div id="approvedList" class="menu-label" (click)="changeList('approved')">
          <div class="label-icon">
            <ion-icon name="bookmarks-outline"></ion-icon>
          </div>
          <div class="label-text">
            Approved List
          </div>
        </div>

        <!-- <div class="menu-label">
          <div class="label-icon">
            <ion-icon name="settings"></ion-icon>
          </div>
          <div class="label-text">
            Settings
          </div>
        </div> -->

        <div class="menu-label"  (click)="authService.SignOut()">
          <div class="label-icon">
            <ion-icon name="log-out-outline"></ion-icon>
          </div>
          <div class="label-text">
            Logout
          </div>
        </div>
      </div>
    </div>

    <!-- Main Content -->
    <div class="main-col">
      <div id="list" class="list-col full">
        <div class="col-title" *ngIf="pending">Pending List</div>
        <div class="pending-table" *ngIf="pending">
          <table>
            <thead>
              <th class="col-2">ID</th>
              <th class="col-2">dApp</th>
              <th class="col-4">Address</th>
              <th class="col-2">Date</th>
            </thead>
            <tbody>
              <tr *ngFor="let item of pendingList; let i = index" [class]="activeItemIndex == i ? 'active' : ''"
                (click)="selectCredential(i,true)">
                <td class="col-2">{{ item.id }}</td>
                <td class="col-2">{{ item.dAppId }}</td>
                <td class="col-4">{{ item.address }}</td>
                <td class="col-2">{{ parseTime(item.createdAt) }}</td>
              </tr>
            </tbody>
          </table>
        </div>

        <div class="col-title" *ngIf="!pending">Approved List</div>
        <div class="pending-table" *ngIf="!pending">
          <table>
            <thead>
              <th class="col-2">ID</th>
              <th class="col-2">dApp</th>
              <th class="col-4">Address</th>
              <th class="col-2">Date</th>
            </thead>
            <tbody>
              <tr *ngFor="let item of approvedList; let i = index" [class]="activeItemIndex == i ? 'active' : ''"
                (click)="selectCredential(i,false)">
                <td class="col-2">{{ item.id }}</td>
                <td class="col-2">{{ item.dAppId }}</td>
                <td class="col-4">{{ item.address }}</td>
                <td class="col-2">{{ parseTime(item.createdAt) }}</td>
              </tr>
            </tbody>
          </table>
        </div>

      </div>
      <div class="detail-col" *ngIf="isShowDetail">
        <div class="credential-detail">
          <div class="row">
            <div class="title-text">
              <div class="col-title">Credential Detail</div>
            </div>
            <div class="close-icon">
              <ion-icon name="close-circle-outline" (click)="closeDetail()"></ion-icon>
            </div>
          </div>
          <div class="detail-table">
            <table>
              <tr *ngFor="let field of credentialFields">
                <th>{{ credentialFieldText[field] }}</th>
                <td *ngIf="field!='photo'">{{ selectedCredential[field] }}</td>
                <td *ngIf="field=='photo'"> <img [src]="selectedCredential[field]"></td>
              </tr>
            </table>
          </div>
        </div>
        <div class="control-board" *ngIf="pending">
          <div class="btn-box">
            <div class="btn" (click)="approve()">Approve</div>
            <div class="btn btn-rm" (click)="cancel()">Remove</div>
          </div>
        </div>

        <div class="control-board" *ngIf="!pending">
          <div class="btn-box">
            <div class="btn btn-rm" (click)="cancel()">Remove</div>
          </div>
        </div>
        
      </div>
    </div>
  </div>
</ion-content>